{-------------------------------------------------------------}
{
{    Mensagens do programa HARDMSG
{
{    Autor: Jose' Antonio Borges
{
{    Em 09/04/2008
{
{-------------------------------------------------------------}

unit hardmsg;

interface
uses dvCrt, dvWin, winprocs, wintypes;

function pegaTextoMensagem (nomeArq: string): string;
procedure mensagem (nomeArq: string; nlf: integer);

procedure limpaBaixo (y: integer = -1);
procedure salvaXY;
procedure restauraXY;

procedure defineNovoTamanhoDeRotulos (novoTamanho: integer);
procedure restauraTamanhoDeRotulos;

implementation

uses
    dvForm;
    
{--------------------------------------------------------}
{              descobre o texto da mensagem
{--------------------------------------------------------}

function pegaTextoMensagem (nomeArq: string): string;
var s: string;
begin
    s := '';
    if nomeArq = 'HVINIC' then
        s := 'Hardvox - Verso '
    else
    if nomeArq = 'HVDESIST' then
        s := 'Desistiu...'
    else
    if nomeArq = 'HVOBRIG' then
        s := 'Obrigado por usar o hardvox'
    else
    if nomeArq = 'HVOPCAO' then
        s := 'Hardvox - opo: '
    else
    if nomeArq = 'HVUSESET' then
        s := 'Para selecionar, use as setas'
    else
    if nomeArq = 'HVOPINV' then
        s := 'Opo invlida: aperte F1 para ajuda'
    else

    if nomeArq = 'HVFALHOU' then
        s := 'DFP_GET_VERSION falhou no drive '
    else
    if nomeArq = 'HVSEMHDS' then
        s := 'Nenhum HD identificado '
    else
    if nomeArq = 'HVINFISD' then
        s := 'Qual a unidade fsica de disco (0 a 3)? '
    else
    if nomeArq = 'HVESCDRV' then
        s := 'Escolha o drive com as setas: '
    else
    if nomeArq = 'HVDRVERR' then
        s := 'Drive errado'
    else
    if nomeArq = 'HDESCUNI' then
        s := 'Escolha a unidade com as setas: '
    else
    if nomeArq = 'HVUSERS' then
        s := 'Usurios desta mquina, use as setas para conhecer'
    else
    if nomeArq = 'HVSEMWAV' then
        s := 'Essa mquina no tem dispositivos de udio'
    else
    if nomeArq = 'HVSEMMID' then
        s := 'Essa mquina no tem dispositivos de midi'
    else
    if nomeArq = 'HVSETWAV' then
        s := 'udio - Use as setas para folhear'
    else
    if nomeArq = 'HVSETMID' then
        s := 'Midi - Use as setas para folhear'
    else
    if nomeArq = 'HVSETGRF' then
        s := 'Controladores grficos - use as setas para folhear'
    else
    if nomeArq = 'HVSETMON' then
        s := 'Monitores - use as setas para folhear'
    else
    if nomeArq = 'HVSETFOL' then
        s := 'Use as setas para folhear'

    else
    if nomeArq = 'HD_CTL0' then
        s := 'Primrio mestre'
    else
    if nomeArq = 'HD_CTL1' then
        s := 'Primrio escravo'
    else
    if nomeArq = 'HD_CTL2' then
        s := 'Secundrio mestre'
    else
    if nomeArq = 'HD_CTL3' then
        s := 'Secundrio escravo'
    else
    if nomeArq = 'HD_CTL4' then
        s := 'Tercirio mestre'
    else
    if nomeArq = 'HD_CTL5' then
        s := 'Tercirio escravo'
    else
    if nomeArq = 'HD_CTL6' then
        s := 'Quaternrio mestre'
    else
    if nomeArq = 'HD_CTL7' then
        s := 'Quaternrio escravo'

    else
    if nomeArq = 'HV_FAB' then
        s := 'Fabricante: '
    else
    if nomeArq = 'HV_DRV' then
        s := '    Driver: '
    else
    if nomeArq = 'HV_RES' then
        s := '    Resoluo mxima: '
    else
    if nomeArq = 'HVMODDSK' then
        s := 'Modelo do disco'
    else
    if nomeArq = 'HVNUMSER' then
        s := 'Nmero de srie'
    else
    if nomeArq = 'HVREVCTL' then
        s := 'Nmero de reviso do controlador'
    else
    if nomeArq = 'HVBUFINT' then
        s := 'Buffers Internos'
    else
    if nomeArq = 'HVREMOVI' then
        s := 'Removvel'
    else
    if nomeArq = 'HVFIXA' then
        s := 'Fixa'
    else
    if nomeArq = 'HVDESCON' then
        s := 'Desconhecido'
    else
    if nomeArq = 'HVTIPOUN' then
        s := 'Tipo de unidade'
    else
    if nomeArq = 'HVCILIND' then
        s := 'Cilindros'
    else
    if nomeArq = 'HVCABECA' then
        s := 'Cabeas'
    else
    if nomeArq = 'HVSPT' then
        s := 'Setores por Trilha'
    else
    if nomeArq = 'HVMEMFIS' then
        s := 'Memria Fsica total em MB'
    else
    if nomeArq = 'HVMEMDIS' then
        s := 'Memria fsica disponvel'
    else
    if nomeArq = 'HVMEMUSO' then
        s := '% de memria em uso'
    else
    if nomeArq = 'HVARQPAG' then
        s := 'Tamanho do arquivo de paginao'
    else
    if nomeArq = 'HVDISPAG' then
        s := 'Disponvel no arquivo de paginao'
    else
    if nomeArq = 'HVENDMB' then
        s := 'Espao de endereamento do usurio em MB'
    else
    if nomeArq = 'HVENDDIS' then
        s := 'Disponvel no Espao de endereamento do usurio'

    else
    if nomeArq = 'HVTIPUNI' then
        s := 'Tipo da Unidade'
    else
    if nomeArq = 'HVMONTAD' then
        s := 'Montado'
    else
    if nomeArq = 'HVPERMIS' then
        s := 'Permisso de escrita'
    else
    if nomeArq = 'HVTAMDSK' then
        s := 'Tamanho do Disco'
    else
    if nomeArq = 'HVESPACL' then
        s := 'Espao livre'
    else
    if nomeArq = 'HVNUMSER' then
        s := 'Nmero de Srie'
    else
    if nomeArq = 'HVROTULO' then
        s := 'Rtulo do Volume'
    else
    if nomeArq = 'HVTSPIN' then
        s := 'Tempo de Spin Up'
    else
    if nomeArq = 'HVCSTART' then
        s := 'Contador Start/Stop'
    else
    if nomeArq = 'HVCREALO' then
        s := 'Contador de setores realocados'
    else
    if nomeArq = 'HVMARGEL' then
        s := 'Margem do canal de leitura'
    else
    if nomeArq = 'HVERRPOS' then
        s := 'Taxa de erros de posicionamento'
    else
    if nomeArq = 'HVTEMPOS' then
        s := 'Desempenho do tempo de posicionamento'
    else
    if nomeArq = 'HVTLIGAD' then
        s := 'Minutos no estado ligado'
    else
    if nomeArq = 'HVCRETRY' then
        s := 'Contador de Spin Retry'
    else
    if nomeArq = 'HVTENTAR' then
        s := 'Tentativas de Recalibragem'
    else
    if nomeArq = 'HVCDPOWR' then
        s := 'Contador de ciclo de Device Power'
    else
    if nomeArq = 'HVCCARGA' then
        s := 'Contador do ciclo de carga/descarga'
    else
    if nomeArq = 'HVPRTEMP' then
        s := 'Problema de Temperatura'
    else
    if nomeArq = 'HVCEVREA' then
        s := 'Contador do evento de realocao'
    else
    if nomeArq = 'HVCSETPD' then
        s := 'Contador de setores correntes pendentes'
    else
    if nomeArq = 'HVCSETNC' then
        s := 'Contador de setores no corrigveis'
    else
    if nomeArq = 'HVCERDMA' then
        s := 'Contador de erros UDMA CRC'
    else
    if nomeArq = 'HVCERRES' then
        s := 'Taxa de erros de escrita'

    else
    if nomeArq = 'HVPRONAO32' then
        s := 'Erro na execuo do programa HWMonitor_x32'
    else
    if nomeArq = 'HVPRONAO64' then
        s := 'Erro na execuo do programa HWMonitor_x64'
    else
    if nomeArq = 'HVPRONAO' then
        s := 'Programa HWMonitor (32 ou 64 bits) no encontrado'
    else
    if nomeArq = 'HVFUNCAN' then
        s := 'Funo cancelada'
    else
    if nomeArq = 'HVLESENS' then
        s := 'Lendo sensores, aguarde'
    else
    if nomeArq = 'HVINFNAO' then
        s := 'Informaes indisponveis'
    else
    if nomeArq = 'HVFABRIC' then
        s := 'Fabricante'
    else
    if nomeArq = 'HVMODELO' then
        s := 'Modelo'
    else
    if nomeArq = 'HVCHIPMN' then
        s := 'Chip monitor'
    else
    if nomeArq = 'HVFBCHIP' then
        s := 'Fabricante do Chip'
    else
    if nomeArq = 'HVMDCHIP' then
        s := 'Modelo do Chip'

    else
    if nomeArq = 'HV_TEMP' then
        s := 'Temperatura '
    else
    if nomeArq = 'HV_VOLT' then
        s := 'Voltagem '
    else
    if nomeArq = 'HV_FAN' then
        s := 'RPM do ventilador '

    else
    if nomeArq = 'HVPROCES' then
        s := 'Processador'
    else
    if nomeArq = 'HVVELCPU' then
        s := 'Velocidade em MHz'
    else
    if nomeArq = 'HVFABCPU' then
        s := 'Fabricante'
    else
    if nomeArq = 'HVCPUID' then
        s := 'Identificao'
    else
    if nomeArq = 'HVSTATAT' then
        s := 'Status da atualizao'
    else
    if nomeArq = 'HVTIPOPM' then
        s := 'Tipo da Placa Me'
    else
    if nomeArq = 'HVDTBIOS' then
        s := 'Data da BIOS'
    else
    if nomeArq = 'HVVBIOS' then
        s := 'Verso da BIOS'
    else
    if nomeArq = 'HVDBIOSV' then
        s := 'Data da BIOS de vdeo'
    else
    if nomeArq = 'HVVBIOSV' then
        s := 'Verso da BIOS de vdeo'

    else
    if nomeArq = 'HVNMCOMP' then
        s := 'Nome do Computador'
    else
    if nomeArq = 'HVSISTOP' then
        s := 'Sistema Operacional'
    else
    if nomeArq = 'HVSISVER' then
        s := 'Verso atual'
    else
    if nomeArq = 'HVSISVAT' then
        s := 'Verso da Atualizao'
    else
    if nomeArq = 'HVPROPRI' then
        s := 'Proprietrio'
    else
    if nomeArq = 'HVORGAN' then
        s := 'Organizao'
    else
    if nomeArq = 'HVTIPSIS' then
        s := 'Tipo de sistema'
    else
    if nomeArq = 'HVNUMGER' then
        s := 'Nmero de gerao atual'
    else
    if nomeArq = 'HVROOTDI' then
        s := 'Diretrio de Root'
    else
    if nomeArq = 'HVDIRECX' then
        s := 'DirectX verso'

    else
    if nomeArq = 'HVSETSNS' then
        s := 'Circuitos sensores da placa me - use as setas para selecionar'
    else
    if nomeArq = 'HVPRONAO' then
        s := 'Monitor de hardware no foi encontrado'
    else
    if nomeArq = 'HVSNSSET' then
        s := 'Use as setas para ler os valores dos sensores'
    else
    if nomeArq = 'HVOP_S' then
        s := '  S - informaes sobre o Sistema Operacional'
    else
    if nomeArq = 'HVOP_P' then
        s := '  P - placa me'
    else
    if nomeArq = 'HVOP_T' then
        s := '  T - temperaturas, voltagens e outros sensores'
    else
    if nomeArq = 'HVOP_C' then
        s := '  C - CPU sob a perspectiva do Windows'
    else
    if nomeArq = 'HVOP_M' then
        s := '  M - memria RAM'
    else
    if nomeArq = 'HVOP_H' then
        s := '  H - informaes fsicas sobre os HD'
    else
    if nomeArq = 'HVOP_E' then
        s := '  E - espao nos discos'
    else
    if nomeArq = 'HVOP_A' then
        s := '  A - udio e midi'
    else
    if nomeArq = 'HVOP_V' then
        s := '  V - monitores de vdeo'
    else
    if nomeArq = 'HVOP_D' then
        s := '  D - diagnostico SMART dos discos'
    else
    if nomeArq = 'HVOP_U' then
        s := '  U - usurios da mquina'
    else
    if nomeArq = 'HVESC' then
        s :='  ESC - termina'
    else

        s := '--> Mensagem invlida: ' + nomeArq;

   pegaTextoMensagem := s;
end;

{--------------------------------------------------------}
{                    d uma mensagem
{--------------------------------------------------------}

procedure mensagem (nomeArq: string; nlf: integer);
var i: integer;
    s: string;

begin
    s := pegaTextoMensagem (nomeArq);

    if nlf >= 0 then write (s);
    for i := 1 to nlf do
         writeln;

    if existeArqSom (nomearq) then
        sintSom (nomearq)
    else
        sintetiza (s);
end;

{--------------------------------------------------------}

procedure limpaBaixo (y: integer = -1);
var
    i: integer;
begin
    if y = -1 then
        y := whereY;

    for i := y to ScreenSize.Y do
        begin
            gotoxy (1, i);
            clreol;
        end;
    gotoxy (1, y);
end;

{--------------------------------------------------------}

var
    xSalva, ySalva: integer;

procedure salvaXY;
begin
    xSalva := whereX;
    ySalva := whereY;
end;

procedure restauraXY;
begin
    gotoXY (xSalva, ySalva);
end;

{--------------------------------------------------------}
var
    salvaTamanhoRotulosForm: integer;

procedure defineNovoTamanhoDeRotulos (novoTamanho: integer);
begin
    salvaTamanhoRotulosForm := tamRotulosForm;
    tamRotulosForm := novoTamanho;
end;

procedure restauraTamanhoDeRotulos;
begin
    tamRotulosForm := salvaTamanhoRotulosForm;
end;

end.
